"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EfficientNetLanguageProvider = exports.EfficientNetLabelLanguage = void 0;
const fs = require("fs");
const path = require("path");
var EfficientNetLabelLanguage;
(function (EfficientNetLabelLanguage) {
    EfficientNetLabelLanguage[EfficientNetLabelLanguage["ENGLISH"] = 0] = "ENGLISH";
    EfficientNetLabelLanguage[EfficientNetLabelLanguage["CHINESE"] = 1] = "CHINESE";
    EfficientNetLabelLanguage[EfficientNetLabelLanguage["SPANISH"] = 2] = "SPANISH";
    EfficientNetLabelLanguage[EfficientNetLabelLanguage["ARABIC"] = 3] = "ARABIC";
    EfficientNetLabelLanguage[EfficientNetLabelLanguage["FRENCH"] = 4] = "FRENCH";
    EfficientNetLabelLanguage[EfficientNetLabelLanguage["RUSSIAN"] = 5] = "RUSSIAN";
    EfficientNetLabelLanguage[EfficientNetLabelLanguage["HEBREW"] = 6] = "HEBREW";
})(EfficientNetLabelLanguage = exports.EfficientNetLabelLanguage || (exports.EfficientNetLabelLanguage = {}));
class EfficientNetLanguageProvider {
    constructor(language) {
        this.filePath = "misc/en.json";
        this.labelsMap = null;
        let fileName = null;
        if (language) {
            language;
            switch (+language) {
                case EfficientNetLabelLanguage.CHINESE:
                    fileName = "zh";
                    break;
                case EfficientNetLabelLanguage.ENGLISH:
                    fileName = "en";
                    break;
                case EfficientNetLabelLanguage.SPANISH:
                    fileName = "es";
                    break;
                case EfficientNetLabelLanguage.RUSSIAN:
                    fileName = "ru";
                    break;
                case EfficientNetLabelLanguage.ARABIC:
                    fileName = "ar";
                    break;
                case EfficientNetLabelLanguage.HEBREW:
                    fileName = "he";
                    break;
                case EfficientNetLabelLanguage.FRENCH:
                    fileName = "fr";
                    break;
            }
        }
        this.filePath = fileName ? `misc/${fileName}.json` : this.filePath;
    }
    load() {
        return __awaiter(this, void 0, void 0, function* () {
            const jsonFile = path.join(__dirname, this.filePath);
            const translationFile = yield fs.readFileSync(jsonFile, "utf8");
            this.labelsMap = JSON.parse(translationFile);
        });
    }
    get(value) {
        var _a;
        return (_a = this.labelsMap) === null || _a === void 0 ? void 0 : _a[value];
    }
}
exports.EfficientNetLanguageProvider = EfficientNetLanguageProvider;
